Bug 33871 - Remove terminal services based on X-forwarding
Remove terminal services based on X-forwarding
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Terminal services
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Moritz Muehlenhoff
Felix Botner
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-08 12:42 CET by Moritz Muehlenhoff
Modified: 2014-06-12 09:20 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-01-08 12:42:48 CET
UCC 2.0 will no longer provide support for UCC terminal services based on X11-forwarding. The respective code needs to be removed.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-03-21 13:16:40 CET
univention-ucc-session-ucc/remote can be removed
Comment 2 Moritz Muehlenhoff univentionstaff 2014-03-21 13:21:21 CET
univention-ucc-application-server can be removed as well.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-12 12:17:51 CEST
The "UCC terminal server" option in the "UCC user sessions" policy has been renamed to "UCC 1.0 terminal server (not used for UCC 2.0 clients)" since the option is still needed in mixed UCC 1.0 / UCC 2.0 environments.

It will be dropped from the policy once support for UCC 1.0 is end-of-lifed. The removal has also been documented in the release notes.
Comment 4 Moritz Muehlenhoff univentionstaff 2014-05-13 15:24:10 CEST
The following code from univention-ucc-application-server has been moved into
univention-xrdp:

conffiles/etc/cron.d/univention-nss-*   (plus related UCR registrations)
listener/nss*py
lib/*py
Joins script (renamed to univention-xrdp)


The following code from univention-ucc-application-server is no longer relevant
and has been removed:

autostart/univention-ucc-kde-remote-device-bookmark.desktop (we use standard RDP device redirection instead)
univention-showload  (we use a common RDP session and we cannot support it for Windows terminal servers)
Comment 5 Moritz Muehlenhoff univentionstaff 2014-05-13 15:27:07 CEST
The following code from univention-ucc-application-server is no longer
relevant and has been removed:

kill-process-by-display : sesman from xrdp cleans up the spawned session, this was only needed for X forwarding

Changelog not needed
Comment 6 Felix Botner univentionstaff 2014-05-21 09:43:36 CEST
OK
Comment 7 Moritz Muehlenhoff univentionstaff 2014-06-12 09:20:05 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".